Package org.eclipse.jdt.ui.dialogs

# Interface ITypeInfoImageProvider

public interface ITypeInfoImageProvider
A special image descriptor provider for `ITypeInfoRequestor`.

The interface should be implemented by clients wishing to provide special images inside the type selection dialog.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.jface.resource.ImageDescriptor`
`getImageDescriptor(ITypeInfoRequestor typeInfoRequestor)`
Returns the image descriptor for the type represented by the given `ITypeInfoRequestor`.

## Method Details

### getImageDescriptor

org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(ITypeInfoRequestor typeInfoRequestor)
Returns the image descriptor for the type represented by the given `ITypeInfoRequestor`.

Note, that this method may be called from non UI threads.

Parameters:
  `typeInfoRequestor` - the `ITypeInfoRequestor` to access information for the type under inspection
Returns:
  the image descriptor or `null` to use the default image